<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myTandaTerimaDocumentLabel" jhiTranslate="mpmApp.tandaTerimaDocument.home.createOrEditLabel">Create or edit a Tanda Terima Document</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!tandaTerimaDocument.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="tandaTerimaDocument.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerimaDocument.iddocument" for="field_iddocument">Iddocument</label>
            <input type="number" class="form-control" name="iddocument" id="field_iddocument"
                [(ngModel)]="tandaTerimaDocument.iddocument"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerimaDocument.idreceipt" for="field_idreceipt">Idreceipt</label>
            <input type="number" class="form-control" name="idreceipt" id="field_idreceipt"
                [(ngModel)]="tandaTerimaDocument.idreceipt"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerimaDocument.doctype" for="field_doctype">Doctype</label>
            <input type="text" class="form-control" name="doctype" id="field_doctype"
                [(ngModel)]="tandaTerimaDocument.doctype"  />
        </div>
        <!-- <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerimaDocument.doc" for="field_doc">Doc</label>
            <div>
                <img [src]="'data:' + tandaTerimaDocument.docContentType + ';base64,' + tandaTerimaDocument.doc" style="max-height: 100px;" *ngIf="tandaTerimaDocument.doc" alt="tandaTerimaDocument image"/>
                <div *ngIf="tandaTerimaDocument.doc" class="form-text text-danger clearfix">
                    <span class="pull-left">{{tandaTerimaDocument.docContentType}}, {{byteSize(tandaTerimaDocument.doc)}}</span>
                    <button type="button" (click)="clearInputImage('doc', 'docContentType', 'fileImage')" class="btn btn-secondary btn-xs pull-right">
                        <span class="fa fa-times"></span>
                    </button>
                </div>
                <input type="file" id="file_doc" (change)="setFileData($event, tandaTerimaDocument, 'doc', true)" accept="image/*" jhiTranslate="entity.action.addimage"/>
            </div>
            <input type="hidden" class="form-control" name="doc" id="field_doc"
                [(ngModel)]="tandaTerimaDocument.doc"  />
            <input type="hidden" class="form-control" name="docContentType" id="field_docContentType"
                [(ngModel)]="tandaTerimaDocument.docContentType" />
        </div> -->
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerimaDocument.nourut" for="field_nourut">Nourut</label>
            <input type="number" class="form-control" name="nourut" id="field_nourut"
                [(ngModel)]="tandaTerimaDocument.nourut"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
